---
layout: post
title: "Hello everybody. I found a strange thing (on delta) If the official smoothie flash on mks sbase - trim for endstop not working"
date: November 21, 2016 20:35
category: "General discussion"
author: "\u0421\u0435\u0440\u0433\u0435\u0439 \u00abSilensilen\u00bb \u0425\u0440\u0430\u043c\u043e\u0432"
---
Hello everybody.

I found a strange thing (on delta)

If the official smoothie flash on mks sbase - trim for endstop not working. 

rollback occurs regardless of the trim values.

rolls back to length homing_retract.

Help me, please!




{% include youtubePlayer.html id="z2P5sf17vXs" %}
[https://www.youtube.com/watch?v=z2P5sf17vXs&feature=youtu.be](https://www.youtube.com/watch?v=z2P5sf17vXs&feature=youtu.be)





**"\u0421\u0435\u0440\u0433\u0435\u0439 \u00abSilensilen\u00bb \u0425\u0440\u0430\u043c\u043e\u0432"**

---
---
**Arthur Wolf** *November 21, 2016 20:45*

Hey !



The MKS is a closed-source derivative of the open-source smoothie project. It wouldn't exist without the Smoothie project yet doesn't share even the most basic things back, and does not contribute to the project in any way. They do not do proper documentation and do not do proper support and rely on the project they are abusing for it. 

As such, it is generally considered MKS is toxic to the Smoothie project. To put it simply : everything you will like about your experience with the MKS board, you are helping destroy by purchasing the board.



We respectfully request that before asking the community for help on issues on a MKS board, you first ask MKS for help.

If they do not answer, or are not able to help you, then you can ask here again and some users will likely do their best to help you ( though I know some will also refuse, and I understand them ).



Sorry you are having trouble, hope you find a solution.



Cheers.


---
*Imported from [Google+](https://plus.google.com/105870258928688662824/posts/hGMtAD3T1MX) &mdash; content and formatting may not be reliable*
